%define name g-wrap
%define version 1.1.10
%define release 2mdk

Summary: A utility for automatically generating glue code to export C libraries to Guile Scheme and RScheme. 
Name: %{name}
Version: %{version}
Release: %{release}
Source: ftp://ftp.gnucash.org/pub/g-wrap/%{name}-%{version}.tar.bz2
Requires: guile
Group: System/Libraries
BuildRequires: guile-devel
Copyright: GPL
URL: http://www.gnucash.org
Packager: Renaud Chaillat <rchaillat@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Patch0: %{name}_strcmp.patch.bz2

%package devel
Group:	Development/C
Summary: Header files and static libs for g-wrap used by gnucash
Requires: %{name} = %{version}

%description
g-wrap is a tool for specifying types, functions, and constants to
import into a Scheme interpreter, and for generating code (in C) to
interface these to the Guile and RScheme interpreters in particular.

%description devel
Header files and static libs needed to compile gnucash

%prep
%setup -q
%patch0 -p1 -b .strcmp

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
make install prefix=$RPM_BUILD_ROOT%{_prefix}
mv $RPM_BUILD_ROOT%{_prefix}/info $RPM_BUILD_ROOT%{_infodir}

# executables called by g-wrap are hard coded in the scheme scripts...
#mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}.sed
#sed -e "s:$RPM_BUILD_ROOT::g"	\
#    $RPM_BUILD_ROOT%{_bindir}/%{name}.sed > $RPM_BUILD_ROOT%{_bindir}/%{name}
#rm -f $RPM_BUILD_ROOT/%{_bindir}/%{name}.sed
#chmod 755 $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post 
/sbin/ldconfig -n %{_libdir}
%_install_info %{name}.info

%postun 
/sbin/ldconfig -n %{_libdir}
%_remove_install_info %{name}.info

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
#%{_includedir}/g-wrap.h
#%{_libdir}/libgwrapguile.a
#%{_libdir}/libgwrapguile.la  
#%{_libdir}/libgwrapguile.so 

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/aclocal/*.m4
%{_datadir}/guile/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS
%{_infodir}/%{name}*
#%{_libdir}/libgwrapguile.so.0.0.0
#%{_libdir}/libgwrapguile.so.0
#%{_usr}/libexec/g-wrap-guile
#%{_datadir}/guile/site/g-wrap.scm
#%{_datadir}/guile/site/g-wrap/g-translate.scm
#%{_datadir}/guile/site/g-wrap/guile-types.scm 
#%{_datadir}/guile/site/g-wrap/output-file.scm 
#%{_datadir}/guile/site/g-wrap/pointer.scm 
#%{_datadir}/guile/site/g-wrap/sorting.scm


%changelog
* Wed Jun 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.1.10-2mdk
- removed post in devel (ranlib)
- added info file installation

* Thu May 31 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.1.10-1mdk
- new version for gnucash 1.5.97

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-3mdk
- changed prefix in configure, removed sed...

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-2mdk
- sed on g-wrap

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-1mdk
- new version (necessary with guile-devel 1.4)
- macroszification
- packager tag
- split into lib and devel packages

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.4-2mdk
- automatically added BuildRequires

* Sat Jul 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.9.4-1mdk
- Packaged for Mandrake need for gnucash update.

* Sat May 27 2000 Mark Horning <rip6@rip6.net>
- Created spec file
